<?php
/**
 * Veterinary Pet Care: Block Patterns
 *
 * @package Veterinary Pet Care
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'veterinary-pet-care',
		array( 'label' => __( 'Veterinary Pet Care', 'veterinary-pet-care' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'veterinary-pet-care/banner-section',
		array(
			'title'      => __( 'Banner Section', 'veterinary-pet-care' ),
			'categories' => array( 'veterinary-pet-care' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":46,\"dimRatio\":50,\"overlayColor\":\"black\",\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-46\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"40px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:40px\">Lorem Ipsum&nbsp;is simply dummy text for printing.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Lorem Ipsum&nbsp;is simply dummy text for the printing and typesetting industry. Ever since the 1500s, Lorem Ipsum has been the industry’s standard dummy text.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\"} -->\n<div class=\"wp-block-button aligncenter\"><a class=\"wp-block-button__link\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:20%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:image {\"align\":\"full\",\"id\":90,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignfull size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/designline2.png\" alt=\"\" class=\"wp-image-90\"/></figure>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'veterinary-pet-care/service-section',
		array(
			'title'      => __( 'Service Section', 'veterinary-pet-care' ),
			'categories' => array( 'veterinary-pet-care' ),
			'content'    => "<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#feefef\"}},\"className\":\"main-service-section\"} -->\n<div class=\"wp-block-group alignfull main-service-section has-background\" style=\"background-color:#feefef\"><!-- wp:heading {\"textAlign\":\"center\",\"className\":\"our-services-title\"} -->\n<h2 class=\"has-text-align-center our-services-title\">Our Services</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\" services-section\"} -->\n<div class=\"wp-block-columns  services-section\"><!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"our-services-one \"} -->\n<div class=\"wp-block-column our-services-one has-white-background-color has-background\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"our-services-img\"} -->\n<div class=\"wp-block-column our-services-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"left\",\"id\":55,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignleft size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/Layer 1.png\" alt=\"\" class=\"wp-image-55\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"70.66%\",\"className\":\"our-services-heading\"} -->\n<div class=\"wp-block-column our-services-heading\" style=\"flex-basis:70.66%\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#494848\"}},\"className\":\"our-services-text\"} -->\n<h2 class=\"our-services-text has-text-color\" style=\"color:#494848;font-size:18px\">OUR SERVICES 1</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text for the printing and typesetting industry.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"our-services-one \"} -->\n<div class=\"wp-block-column our-services-one has-white-background-color has-background\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"our-services-img\"} -->\n<div class=\"wp-block-column our-services-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"left\",\"id\":62,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignleft size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/Layer 2.png\" alt=\"\" class=\"wp-image-62\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"70.66%\",\"className\":\"our-services-heading\"} -->\n<div class=\"wp-block-column our-services-heading\" style=\"flex-basis:70.66%\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#494848\"}},\"className\":\"our-services-text\"} -->\n<h2 class=\"our-services-text has-text-color\" style=\"color:#494848;font-size:18px\">OUR SERVICES 2</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text for the printing and typesetting industry.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\" services-section\"} -->\n<div class=\"wp-block-columns  services-section\"><!-- wp:column {\"backgroundColor\":\"white\",\"textColor\":\"white\",\"className\":\"our-services-one \"} -->\n<div class=\"wp-block-column our-services-one has-white-color has-white-background-color has-text-color has-background\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"our-services-img\"} -->\n<div class=\"wp-block-column our-services-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"left\",\"id\":63,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignleft size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/Layer 3.png\" alt=\"\" class=\"wp-image-63\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80.66%\",\"className\":\"our-services-heading\"} -->\n<div class=\"wp-block-column our-services-heading\" style=\"flex-basis:80.66%\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#494848\"}},\"className\":\"our-services-text\"} -->\n<h2 class=\"our-services-text has-text-color\" style=\"color:#494848;font-size:18px\">OUR SERVICES 3</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#666666\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#666666;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text for the printing and typesetting industry.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"className\":\"our-services-one \"} -->\n<div class=\"wp-block-column our-services-one has-black-color has-white-background-color has-text-color has-background\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"our-services-img\"} -->\n<div class=\"wp-block-column our-services-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"left\",\"id\":64,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignleft size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/Layer 4.png\" alt=\"\" class=\"wp-image-64\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"80.66%\",\"className\":\"our-services-heading\"} -->\n<div class=\"wp-block-column our-services-heading\" style=\"flex-basis:80.66%\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"18px\"},\"color\":{\"text\":\"#494848\"}},\"className\":\"our-services-text\"} -->\n<h2 class=\"our-services-text has-text-color\" style=\"color:#494848;font-size:18px\">OUR SERVICES 4</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text for the printing and typesetting industry.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}